Bug 113394 - ContentItem does not have correct auditing information
ContentItem does not have correct auditing information
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 10:24 EST by Randy Graebner
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Graebner 2004-01-13 10:24:06 EST
Description of problem:
There are actually two problems with the current auditing system.  

1. The creation date is not correctly stored by Versioning since it is
returning the first date an item is changed rather then the actual
creation date.

2. There is no easy way to sort or filter content items by creation
date, last modified date, or creation user (or any other auditing
information).

So, I am proposing that I make ContentItem emulate the behavior of an
AuditedACSObject since we really need to have auditing on ContentItem
and don't have it as of Troika.  This needs to be fixed for the ws3
delivery so I am going to implement it in the next day or two if there
are not any large objections.

Version-Release number of selected component (if applicable):
6.0, tip

How reproducible:
always

Steps to Reproduce:
1.  the creation date is wrong and is not denormalized to a point
where it can be used in queries
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2004-01-13 10:28:20 EST
A couple of use cases, where having auditing data explicitly
denormalized in acs_auditing tables rather than implicitly in
vc_operations is important to performance/simplicitly of SQL queries:

 * Search - filtering intermedia results based on creation/modified
date range & creation/modified user
 * Folder item listing - sorting based on last modified date/author, etc
Comment 2 Daniel Berrange 2004-01-14 08:56:36 EST
s/Two problems/Three problems/.

3. Calling get(LastModified|Creation)(User|Date) on a content item
with a loaded DB takes 400ms per method call. See bug 113480
Comment 3 Randy Graebner 2004-01-15 17:43:24 EST
p4 39404 makes ContentItem contain its own BasicAuditTrail so that it
contains the correct information and hopefully since it is no
denormalized it should be a little faster.  After this change a folder
with 12 items went from 90 queries to 45.  It also allows us to sort
tables and filter the search results.
Comment 4 David Lawrence 2006-07-17 23:35:53 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 5 Jon Orris 2006-09-05 13:39:52 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.